Package classycle.dependency

# Class DependencyDefinitionParser

java.lang.Object
classycle.dependency.DependencyDefinitionParser

public class DependencyDefinitionParser extends Object
Parser for a dependency definition file.

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHECK_KEY_WORD`
`static final String`
`CLASS_CYCLES_KEY_WORD`
`static final String`
`DEPENDENT_ONLY_ON_KEY_WORD`
`static final String`
`DIRECTLY_INDEPENDENT_OF_KEY_WORD`
`static final String`
`EXCLUDING_KEY_WORD`
`static final String`
`IN_KEY_WORD`
`static final String`
`INDEPENDENT_OF_KEY_WORD`
`static final String`
`LAYER_KEY_WORD`
`static final String`
`LAYERING_OF_KEY_WORD`
`static final String`
`PACKAGE_CYCLES_KEY_WORD`
`static final String`
`SETS_KEY_WORD`
`static final String`
`SHOW_KEY_WORD`
`static final String`
`STRICT_LAYERING_OF_KEY_WORD`

## Constructor Summary

Constructors
Constructor
Description
`DependencyDefinitionParser(String dependencyDefinition, classycle.dependency.DependencyProperties properties, ResultRenderer renderer)`

## Method Summary

Modifier and Type
Method
Description
`Statement[]`
`getStatements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INDEPENDENT_OF_KEY_WORD

public static final String INDEPENDENT_OF_KEY_WORD

See Also:
  - Constant Field Values

### EXCLUDING_KEY_WORD

public static final String EXCLUDING_KEY_WORD

See Also:
  - Constant Field Values

### DIRECTLY_INDEPENDENT_OF_KEY_WORD

public static final String DIRECTLY_INDEPENDENT_OF_KEY_WORD

See Also:
  - Constant Field Values

### DEPENDENT_ONLY_ON_KEY_WORD

public static final String DEPENDENT_ONLY_ON_KEY_WORD

See Also:
  - Constant Field Values

### CHECK_KEY_WORD

public static final String CHECK_KEY_WORD

See Also:
  - Constant Field Values

### LAYER_KEY_WORD

public static final String LAYER_KEY_WORD

See Also:
  - Constant Field Values

### SHOW_KEY_WORD

public static final String SHOW_KEY_WORD

See Also:
  - Constant Field Values

### SETS_KEY_WORD

public static final String SETS_KEY_WORD

See Also:
  - Constant Field Values

### CLASS_CYCLES_KEY_WORD

public static final String CLASS_CYCLES_KEY_WORD

See Also:
  - Constant Field Values

### PACKAGE_CYCLES_KEY_WORD

public static final String PACKAGE_CYCLES_KEY_WORD

See Also:
  - Constant Field Values

### IN_KEY_WORD

public static final String IN_KEY_WORD

See Also:
  - Constant Field Values

### LAYERING_OF_KEY_WORD

public static final String LAYERING_OF_KEY_WORD

See Also:
  - Constant Field Values

### STRICT_LAYERING_OF_KEY_WORD

public static final String STRICT_LAYERING_OF_KEY_WORD

See Also:
  - Constant Field Values

## Constructor Details

### DependencyDefinitionParser

public DependencyDefinitionParser(String dependencyDefinition, classycle.dependency.DependencyProperties properties, ResultRenderer renderer)

## Method Details

### getStatements

public Statement[] getStatements()